Bug 60603 - Implement various CSS font properties in CSSStyleApplyProperty.
Summary: Implement various CSS font properties in CSSStyleApplyProperty.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-10 20:08 PDT by Luke Macpherson
Modified: 2011-05-25 23:46 PDT (History)
4 users (show)

See Also:


Attachments
Patch (13.10 KB, patch)
2011-05-10 20:19 PDT, Luke Macpherson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Macpherson 2011-05-10 20:08:09 PDT
Implement various CSS font properties in CSSStyleApplyProperty.
Comment 1 Luke Macpherson 2011-05-10 20:19:45 PDT
Created attachment 93067 [details]
Patch
Comment 2 Eric Seidel (no email) 2011-05-10 22:13:40 PDT
Comment on attachment 93067 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=93067&action=review

> Source/WebCore/css/CSSStyleApplyProperty.cpp:412
> +        (fontDescription.*m_setter)(*primitiveValue);

FontDescription has an m_setter?
Comment 3 Luke Macpherson 2011-05-11 16:41:52 PDT
Comment on attachment 93067 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=93067&action=review

>> Source/WebCore/css/CSSStyleApplyProperty.cpp:412
>> +        (fontDescription.*m_setter)(*primitiveValue);
> 
> FontDescription has an m_setter?

m_setter is the function pointer defined on line 417 of this patch.
Comment 4 Luke Macpherson 2011-05-24 17:39:48 PDT
Patch still applies cleanly, builds, passes tests. ;)
Comment 5 WebKit Commit Bot 2011-05-25 23:46:32 PDT
Comment on attachment 93067 [details]
Patch

Clearing flags on attachment: 93067

Committed r87362: <http://trac.webkit.org/changeset/87362>
Comment 6 WebKit Commit Bot 2011-05-25 23:46:38 PDT
All reviewed patches have been landed.  Closing bug.